-- #hide
{- |
   License      : BSD3
   Maintainer   : Takano Akio <aljee@hyper.cx>
   Stability    : experimental
   
   Pointer arithmetic.
-}
module System.IO.SSC.Internal.Ptr where

import Foreign.Ptr
import Foreign.Storable

distancePtr :: (Storable a) => Ptr a -> Ptr a -> Int
distancePtr pa pb = minusPtr pa pb `div` size
  where
    size = sizeOf $ unPtr pa
    unPtr :: Ptr a -> a
    unPtr = undefined

