# include "HsFFI.h"

# include "locale_encoding.h"

# ifdef mingw32_HOST_OS
#  include <windows.h>
#  include <stdlib.h>
#  include <string.h>
# else
#  include <langinfo.h>
# endif
# include <locale.h>

# ifdef mingw32_HOST_OS
unsigned locale_cp(void)
{
  const char *p = strchr(setlocale(LC_CTYPE, NULL), '.');
  if(!p)
    return 28591; /* Codepage for iso-8859-1. Is this the correct thing to return? */
  else
    return strtoul(p + 1, NULL, 10);
}

unsigned locale_input_console_cp(void)
{
  return GetConsoleCP();
}

unsigned locale_output_console_cp(void)
{
  return GetConsoleOutputCP();
}
# else
char *locale_encoding(void)
{
  char *s = nl_langinfo(CODESET);
}
# endif

void init_ctype(void)
{
  setlocale(LC_CTYPE, "");
}
