# ifndef ICONV_BLOCK_H
# define ICONV_BLOCK_H

# include <stddef.h>

void *iconv_block_new_iconv_d(const char *from, const char *to);
void iconv_block_delete_iconv_d(void *d);
int iconv_block_convert(void *d, char *in, size_t insize, char *out, size_t outsize);
int iconv_block_last_read(void *d);
int iconv_block_last_written(void *d);

# endif
