{-# OPTIONS_GHC -cpp -optP-P #-}
-- #hide
{- |
   License      : BSD3
   Maintainer   : Takano Akio <aljee@hyper.cx>
   Stability    : experimental
   
   Char utils.
-}
module System.IO.SSC.Internal.Char where

import Data.Word
# ifdef __GLASGOW_HASKELL__
import GHC.Base
# else
import Data.Char
# endif

b2c :: Word8 -> Char

# ifdef __GLASGOW_HASKELL__
b2c = unsafeChr . fromIntegral
# else
b2c = chr . fromIntegral
# endif

c2b :: Char -> Word8
c2b = fromIntegral . ord
